package jp.gihyo.mitoma.android.p013gdplist;

import java.util.ArrayList;

public class CountryDAO {
    private ArrayList<CountryDTO> list = new ArrayList<>();
    private static CountryDAO instance = null;
    private CountryDAO(){
        CountryDTO dto;
        dto = new CountryDTO(840,"アメリカ合衆国",30.5,3.47);
        list.add(dto);
        dto = new CountryDTO(156,"中華人民共和国",19.2,14.16);
        list.add(dto);
        dto = new CountryDTO(276,"ドイツ",4.74,0.84);
        list.add(dto);
        dto = new CountryDTO(392,"日本",4.19,1.24);
        list.add(dto);
        dto = new CountryDTO(356,"インド",4.19,14.64);
        list.add(dto);
        dto = new CountryDTO(826,"イギリス",3.84,0.69);
        list.add(dto);
        dto = new CountryDTO(250,"フランス",3.21,0.66);
        list.add(dto);
        dto = new CountryDTO(643,"ロシア連邦",2.54,1.45);
        list.add(dto);
        dto = new CountryDTO(380,"イタリア",2.42,0.6);
        list.add(dto);
        dto = new CountryDTO(124,"カナダ",2.23,0.4);
        list.add(dto);
        dto = new CountryDTO(724,"スペイン",1.86,0.48);
        list.add(dto);
        dto = new CountryDTO(036,"オーストラリア",1.57,0.26);
        list.add(dto);
        dto = new CountryDTO(484,"メキシコ",1.44,1.31);
        list.add(dto);
        dto = new CountryDTO(528,"オランダ",1.32,0.18);
        list.add(dto);
        dto = new CountryDTO(682,"サウジアラビア",1.32,0.35);
        list.add(dto);
    }
    public static CountryDAO getInstance(){
        if(CountryDAO.instance == null){
            CountryDAO.instance = new CountryDAO();
        }
        return CountryDAO.instance;
    }
    public ArrayList<CountryDTO> select(){
        return this.list;
    }

    public CountryDTO select(int cNo){
        CountryDTO dto = null;
        int i = 0;
        for(CountryDTO dtoX:this.list){
            if(dtoX.cNo == cNo )break;
            i++;
        }
        if(i < list.size())dto=list.get(i);
        return dto;
    }
    public int insert(CountryDTO dto){
        this.list.add(dto);
        return 1;
    }
}
